Skip to content
Permalink
Browse files

Improvements and readme.md

* Tweak: Corrected the Elementor version.
* Tweak: Improved the Installation and Screenshot documentation.
* Tweak: Removed unnecessary code calling custom widgets.
* Added readme.md
  • Loading branch information
JoseSoteloCohen committed May 24, 2019
1 parent a0a315b commit f179a3779e4caee6b50ab14e5bc759d65133f7ee
Showing with 109 additions and 58 deletions.
  1. +83 −0 README.md
  2. +12 −5 readme.txt
  3. +14 −53 sendy-elements.php
@@ -0,0 +1,83 @@
# Sendy Elements
**Contributors:** [josesotelocohen](https://profiles.wordpress.org/josesotelocohen/)
**Donate link:** [Click here](https://compras.inboundlatino.com/sendy-elements/)
**Tags:** sendy, elementor, forms, newsletters, email marketing, subscription form
**Requires at least:** 4.7
**Tested up to:** 5.2
**Requires PHP:** 5.4
**Stable tag:** 1.0.1
**License:** GPLv3
**License URI:** https://www.gnu.org/licenses/gpl-3.0.html
Requires [Elementor Pro](https://elementor.com) 5.2 or greater**

Simple plugin that integrates Elementor Pro form widget with Sendy via API.


## Description ##


Simple solution for users of Sendy and Elementor that do not wish to modify the functions.php file of their theme. This plugin will allow you to send subscriptions made via Elementor's Pro form widget to your Sendy list.


## Installation ##

### Minimum Requirements ###

* WordPress 4.7 or greater
* PHP version 5.4 or greater
* MySQL version 5.0 or greater
* [Elementor Pro](https://elementor.com) 2.5 or greater

### We recommend your host supports: ###

* PHP version 7.0 or greater
* MySQL version 5.6 or greater
* WordPress Memory limit of 64 MB or greater (128 MB or higher is preferred)


### Installation ###

1. Install using the WordPress built-in Plugin installer, or Extract the zip file and drop the contents in the `wp-content/plugins/` directory of your WordPress installation.
2. Activate the plugin through the 'Plugins' menu in WordPress.
3. Go to Pages > Add New
4. Press the 'Edit with Elementor' button.
5. Now you can drag and drop the form widget of Elementor Pro from the left panel onto the content area, and find the Sendy action in the "Actions after submit" dropdown.
6. Fill your Sendy List details and all your subscribers will be sent to that list.
7. Your Sendy URL needs to end in /


## Frequently Asked Questions ##

**Why do I need this plugin?**

Because there's no native way to send subscribers from Elementor Pro form widget to Sendy, so if you want to avoid modifying your Functions.php to achieve this, you can just install Sendy Elements with a couple of clicks.

**Why is Elementor Pro required?**

Because this integration works with the Form Widget, which is a Elementor Pro unique feature not available in the free plugin.

**Can I still use other integrations if I install Sendy Elements?**

Yes, all the other form widget integrations will be available. You can even use more than one at the same time per form.

**Do I need to know how to code to use Sendy Elements?**

No, you don't and that's the main reason that I created this plugin, so you can integrate both Sendy and Elementor without knowing how to code.


## Screenshots ##

1. **Select from the Dropdown.** Just select Sendy from the "Actions After Submit" dropdown in the form widget.
2. **Sendy List ID.** You can find the list ID in your Sendy Lists dashboard.
3. **Sendy URL.** This is the domain where you installed Sendy. It must finish with /


## Changelog ##

### 1.0.1 - 2019-05-23 ###
* Tweak: Corrected the Elementor version.
* Tweak: Improved the Installation and Screenshot documentation.
* Tweak: Removed unnecessary code calling custom widgets.

### 1.0.0 - 2019-05-19 ###
* Initial Release
@@ -1,13 +1,14 @@
=== Sendy Elements ===
Contributors: josesotelocohen
Donate link: https://inboundlatino.com/donate
Tags: sendy, elementor, forms, newsletters, email marketing
Donate link: https://compras.inboundlatino.com/sendy-elements/
Tags: sendy, elementor, forms, newsletters, email marketing, subscription form
Requires at least: 4.7
Tested up to: 5.2
Requires PHP: 5.4
Stable tag: 1
Stable tag: 1.0.1
License: GPLv3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Requires [Elementor Pro](https://elementor.com) 5.2 or greater

Simple plugin that integrates Elementor Pro form widget with Sendy via API.

@@ -25,7 +26,7 @@ Simple solution for users of Sendy and Elementor that do not wish to modify the
* WordPress 4.7 or greater
* PHP version 5.4 or greater
* MySQL version 5.0 or greater
* Elementor Pro 5.2 or greater
* [Elementor Pro](https://elementor.com) 2.5 or greater

= We recommend your host supports: =

@@ -42,6 +43,7 @@ Simple solution for users of Sendy and Elementor that do not wish to modify the
4. Press the 'Edit with Elementor' button.
5. Now you can drag and drop the form widget of Elementor Pro from the left panel onto the content area, and find the Sendy action in the "Actions after submit" dropdown.
6. Fill your Sendy List details and all your subscribers will be sent to that list.
7. Your Sendy URL needs to end in /


== Frequently Asked Questions ==
@@ -67,10 +69,15 @@ No, you don't and that's the main reason that I created this plugin, so you can

1. **Select from the Dropdown.** Just select Sendy from the "Actions After Submit" dropdown in the form widget.
2. **Sendy List ID.** You can find the list ID in your Sendy Lists dashboard.
3. **Sendy URL.** This is the domain where you installed Sendy.
3. **Sendy URL.** This is the domain where you installed Sendy. It must finish with /


== Changelog ==

= 1.0.1 - 2019-05-23 =
* Tweak: Corrected the Elementor version.
* Tweak: Improved the Installation and Screenshot documentation.
* Tweak: Removed unnecessary code calling custom widgets.

= 1.0.0 - 2019-05-19 =
* Initial Release
@@ -3,7 +3,6 @@
/**
* Plugin Name: Sendy Elements
* Description: Plugin to extend Elementor forms with Sendy.
* Plugin URI: https://inboundlatino.com/
* Version: 1.0.0
* Author: José Sotelo
* Author URI: https://inboundlatino.com/
@@ -15,7 +14,7 @@
}

/**
* Main Elementor Test Extension Class
* Main Sendy Elements Extension Class
*
* The main class that initiates and runs the plugin.
*
@@ -30,7 +29,7 @@ final class Sendy_Elements {
*
* @var string The plugin version.
*/
const VERSION = '1.0.0';
const VERSION = '1.0.1';

/**
* Minimum Elementor Version
@@ -39,7 +38,7 @@ final class Sendy_Elements {
*
* @var string Minimum Elementor version required to run the plugin.
*/
const MINIMUM_ELEMENTOR_VERSION = '2.0.0';
const MINIMUM_ELEMENTOR_VERSION = '2.5.0';

/**
* Minimum PHP Version
@@ -48,7 +47,7 @@ final class Sendy_Elements {
*
* @var string Minimum PHP version required to run the plugin.
*/
const MINIMUM_PHP_VERSION = '7.0';
const MINIMUM_PHP_VERSION = '5.4';

/**
* Instance
@@ -110,7 +109,7 @@ public function __construct() {
*/
public function i18n() {

load_plugin_textdomain( 'elementor-test-extension' );
load_plugin_textdomain( 'sendy-elements' );

}

@@ -165,9 +164,9 @@ public function admin_notice_missing_main_plugin() {

$message = sprintf(
/* translators: 1: Plugin name 2: Elementor */
esc_html__( '"%1$s" requires "%2$s" to be installed and activated.', 'elementor-test-extension' ),
'<strong>' . esc_html__( 'Elementor Test Extension', 'elementor-test-extension' ) . '</strong>',
'<strong>' . esc_html__( 'Elementor', 'elementor-test-extension' ) . '</strong>'
esc_html__( '"%1$s" requires "%2$s" to be installed and activated.', 'sendy-elements' ),
'<strong>' . esc_html__( 'Sendy Elements', 'sendy-elements' ) . '</strong>',
'<strong>' . esc_html__( 'Sendy Elements', 'sendy-elements' ) . '</strong>'
);

printf( '<div class="notice notice-warning is-dismissible"><p>%1$s</p></div>', $message );
@@ -189,9 +188,9 @@ public function admin_notice_minimum_elementor_version() {

$message = sprintf(
/* translators: 1: Plugin name 2: Elementor 3: Required Elementor version */
esc_html__( '"%1$s" requires "%2$s" version %3$s or greater.', 'elementor-test-extension' ),
'<strong>' . esc_html__( 'Elementor Test Extension', 'elementor-test-extension' ) . '</strong>',
'<strong>' . esc_html__( 'Elementor', 'elementor-test-extension' ) . '</strong>',
esc_html__( '"%1$s" requires "%2$s" version %3$s or greater.', 'sendy-elements' ),
'<strong>' . esc_html__( 'Sendy Elements', 'sendy-elements' ) . '</strong>',
'<strong>' . esc_html__( 'Sendy Elements', 'sendy-elements' ) . '</strong>',
self::MINIMUM_ELEMENTOR_VERSION
);

@@ -214,54 +213,16 @@ public function admin_notice_minimum_php_version() {

$message = sprintf(
/* translators: 1: Plugin name 2: PHP 3: Required PHP version */
esc_html__( '"%1$s" requires "%2$s" version %3$s or greater.', 'elementor-test-extension' ),
'<strong>' . esc_html__( 'Elementor Test Extension', 'elementor-test-extension' ) . '</strong>',
'<strong>' . esc_html__( 'PHP', 'elementor-test-extension' ) . '</strong>',
esc_html__( '"%1$s" requires "%2$s" version %3$s or greater.', 'sendy-elements' ),
'<strong>' . esc_html__( 'Sendy Elements', 'sendy-elements' ) . '</strong>',
'<strong>' . esc_html__( 'PHP', 'sendy-elements' ) . '</strong>',
self::MINIMUM_PHP_VERSION
);

printf( '<div class="notice notice-warning is-dismissible"><p>%1$s</p></div>', $message );

}

/**
* Init Widgets
*
* Include widgets files and register them
*
* @since 1.0.0
*
* @access public
*/
public function init_widgets() {

// Include Widget files
require_once( __DIR__ . '/widgets/test-widget.php' );

// Register widget
\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Elementor_Test_Widget() );

}

/**
* Init Controls
*
* Include controls files and register them
*
* @since 1.0.0
*
* @access public
*/
public function init_controls() {

// Include Control files
require_once( __DIR__ . '/controls/test-control.php' );

// Register control
\Elementor\Plugin::$instance->controls_manager->register_control( 'control-type-', new \Test_Control() );

}

}

Sendy_Elements::instance();

0 comments on commit f179a37

Please sign in to comment.
You can’t perform that action at this time.